import 'dart:async';
import 'package:flutter/material.dart';
import 'package:hub/flutter_flow/flutter_flow_model.dart';
import 'package:hub/pages/qr_code_page/qr_code_page_widget.dart';

class QrCodePageModel extends FlutterFlowModel<QrCodePageWidget> {
  ///  Local state fields for this page.

  bool isAccess = false;

  String? key = null;

  DateTime? time;

  ///  State fields for stateful widgets in this page.

  final unfocusNode = FocusNode();

  @override
  void initState(BuildContext context) {}

  @override
  void dispose() {
    unfocusNode.dispose();
  }

  /// Action blocks.
  Future qrCodeEncoder(
    BuildContext context, {
    required String? key,
  }) async {}
}